<%
    var togglable = typeof display != "undefined";
 %>

<style>
    .hero {
        width: 100%;
        height: 300px;
        background-color: white;
        background-size: cover;
        background-position: center;
        display: <%= !togglable || display ? "flex" : "none"%>;
        flex-direction: column;
        justify-content: flex-end;
        position: relative;
    }

    .text-hero {
        font-size: 3em;
        text-shadow: 1px 2px rgba(0,0,0,0.5);
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .text-subtitle {
        font-size: 1.5em;
        display: flex;
        justify-content: space-between;
    }

    .hero-play {
        font-size: 64px;
        text-shadow: 1px 1px rgba(0,0,0,0.5);
    }

    .hero-play-button:hover {
        text-shadow: 2px 2px rgba(0,0,0,0.5);
    }

    .see-through {
        color: rgba(255,255,255,0.3);
    }

    .hero-gradient {
        background: -moz-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(bottom, rgba(0,0,0,1) 0%,rgba(0,0,0,0) 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to top, rgba(0,0,0,1) 0%,rgba(0,0,0,0) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000000', endColorstr='#00000000',GradientType=0 ); /* IE6-9 */
    }

    .no-wide-image {

    }

    .large-hero-toggle {
        position: absolute;
        top:10px;
        right:10px;
        text-shadow: 1px 1px rgba(0,0,0,0.5);
        display: <%= togglable ? "block" : "none"%>;
    }
</style>

<%

    if (hero) {
        var style = "";
        var bgImage = hero.image;
        if (!bgImage) {
            style = (`background-size: contain;
            background-repeat: no-repeat;
            background-color: black;`)
            bgImage = hero.profileImage;
        }
%>
<div class="hero" style="background-image: url('<%=bgImage%>'); <%=style%>; padding: 5px 5px 5px 5px">
    <div class="hero-toggle large-hero-toggle clickable"><i class="fa fa-compress" aria-hidden="true" style="font-size: 35px;"></i></div>
    <% if(hero.licenseAddress) { %>
    <div class="hero-play center-text">
        <i class="fa fa-play-circle hero-play-button clickable audio-track"
           licenseaddress="<%=hero.licenseAddress%>"
           aria-hidden="true" style="color: white;font-size: 120px;opacity: 0.9;position: absolute;top: 3vh;left: 2vw;">
        </i>
    </div>
    <% } %>
    <div class="flex-column hero-gradient pad10">
        <div class="text-hero">
            <a class="plain" href="<%=hero.titleLink%>"><%=hero.title%></a>
            <% if (typeof showVerifiedIcon != "undefined" && showVerifiedIcon) { %>
            <i class="verified large" title="verified user"></i>
            <% } %>
        </div>
        <div class="text-hero text-subtitle">
            <div><a class="plain" href="<%=hero.subtitleLink%>"><%=hero.subtitle%></a></div>
            <div class="see-through text-right big-screen-only" style="font-size: 35px; color:gray"><%=hero.label%></div>
        </div>
        <%- include social-links.ejs %>
    </div>
</div>
<%
}
%>
